#!/bin/sh

set -xe

LLVMC=llvm-config
LLVM_LINKER="-lc++ $($LLVMC --libs core --cxxflags --ldflags --system-libs|tr '\n' ' ')"

odin run src -o:none -debug -out:speedcat -extra-linker-flags:"$LLVM_LINKER" -- test_type_checker.cat
clang -I/opt/homebrew/include /opt/homebrew/lib/libraylib.a -lm  -framework Cocoa -framework OpenGL -framework IOKit test_type_checker.ll test.c  -o raylib
